Bug 607157 - Trackback in event-test.py while disk I/O error was triggering
Summary: Trackback in event-test.py while disk I/O error was triggering
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Daniel Berrange
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-23 11:59 UTC by Nan Zhang
Modified: 2010-11-11 14:48 UTC (History)
5 users (show)

Fixed In Version: libvirt-0_8_1-10_el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 14:48:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix missing parameter (1.06 KB, patch)
2010-06-23 14:13 UTC, Daniel Berrange
no flags Details | Diff

Description Nan Zhang 2010-06-23 11:59:42 UTC
Description of problem:
as subject.

Version-Release number of selected component (if applicable):
libvirt-0.8.1-9.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. python event-test.py qemu:///system
2. trigger an disk I/O error.
  
Actual results:
Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 1991, in dispatchDomainEventIOErrorCallback
    cb(self, virDomain(self, _obj=dom), srcPath, devAlias, opaque)
TypeError: myDomainEventIOErrorCallback() takes exactly 6 arguments (5 given)

Expected results:
disk I/O event can be caught.

Additional info:

Comment 2 RHEL Product and Program Management 2010-06-23 12:12:56 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Daniel Berrange 2010-06-23 14:13:55 UTC
Created attachment 426283 [details]
Fix missing parameter

Comment 4 Dave Allan 2010-06-24 01:37:07 UTC
libvirt-0_8_1-10_el6 has been built in RHEL-6-candidate with the fix.

Dave

Comment 5 dyuan 2010-06-29 02:51:28 UTC
Verified PASSED with libvirt-0.8.1-10.el6.

# python /usr/share/doc/libvirt-python-0.8.1/events-python/event-test.py
myDomainEventIOErrorCallback: Domain rhel6(7) /mnt/vol/foo.img ide0-0-1 2
myDomainEventIOErrorCallback: Domain rhel6(7) /mnt/vol/foo.img ide0-0-1 2

Comment 6 releng-rhel@redhat.com 2010-11-11 14:48:35 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.